function DATAinsert = cellMakerPL(IDcentralina,DTcatena,NodeNum,cPL,ListaDate,...
                    ARRAYdatePL,Livello,PiezDef,PiezDefT,ErrPiezoLink)
l = ListaDate;
DATAinsert = cell(l,9);
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdatePL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdatePL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Livello(ii,cPL);
    DATAinsert{ii,7} = PiezDef(ii,cPL);
    DATAinsert{ii,8} = PiezDefT(ii,cPL);
    DATAinsert{ii,9} = ErrPiezoLink(cPL,ii);
end

end
